import { Signer } from 'somes/request';
declare function genAccessKey(): void;
declare class H5Signer implements Signer {
    private _extra;
    setExtra(extra: any): void;
    sign(url: string, data?: any): any;
}
declare const _default: {
    genAccessKey: typeof genAccessKey;
    signer: H5Signer;
    readonly publicKeyBytes: import("somes/buffer").InterfaceBuffer;
    readonly publicKey: string;
};
export default _default;
